CURPROC(9)

NAME
curproc, curcpu - current process and processor

SYNOPSIS
#include <sys/proc.h>
struct cpu_info *
curcpu(void);
struct proc *
curproc(void);

DESCRIPTION
curcpu() returns a pointer to a cpu_info structure containing information of the CPU that this thread is running on. curproc() returns a pointer to the process currently running on this CPU.